package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItemdiscountAdditemItemDiscountSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountAdditemRequest) SetParam0(v domain.AlibabaWdkMarketingItemdiscountAdditemItemDiscountSku) *AlibabaWdkMarketingItemdiscountAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountAdditemRequest) SetParam1(v domain.AlibabaWdkMarketingItemdiscountAdditemCommonActivityParam) *AlibabaWdkMarketingItemdiscountAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
